---
title: IntersectionObserverEntry.intersectionRect
slug: Web/API/IntersectionObserverEntry/intersectionRect
tags:
  - API
  - Experimental
  - Intersection Observer
  - Intersection Observer API
  - IntersectionObserverEntry
  - Property
  - Reference
  - intersectionRect
---
<div>{{APIRef("Intersection Observer API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The {{domxref("IntersectionObserverEntry")}} interface's read-only <strong><code>intersectionRect</code></strong> property is a {{domxref("DOMRectReadOnly")}} object which describes the smallest rectangle that contains the entire portion of the target element which is currently visible within the intersection root.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var <em>intersectionRect</em> = </code>IntersectionObserverEntry</var>.intersectionRect;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMRectReadOnly")}} which describes the part of the target element that's currently visible within the root's intersection rectangle.</p>

<p>This rectangle is computed by taking the intersection of {{domxref("IntersectionObserverEntry", "boundingClientRect")}} with each of the {{domxref("IntersectionObserverEntry.target", "target")}}'s ancestors' clip rectangles, with the exception of the intersection {{domxref("IntersectionObserver.root", "root")}} itself.</p>

<h2 id="Example">Example</h2>

<p>In this simple example, an intersection callback stores the intersection rectangle for later use by the code that draws the target elements' contents, so that only the visible area is redrawn.</p>

<pre class="brush: js">function intersectionCallback(entries) {
  entries.forEach(function(entry) {
    refreshZones.push({
      element: entry.target,
      rect: entry.intersectionRect
    });
  });
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('IntersectionObserver', '#dom-intersectionobserverentry-intersectionrect', 'IntersectionObserverEntry.intersectionRect')}}</td>
   <td>{{Spec2('IntersectionObserver')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.IntersectionObserverEntry.intersectionRect")}}</p>
